FPGA, SoC, And CPLD Boards And Kits
FPGA Evaluation and Development Kits
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.

an 690 error upgrade IP

Altera_Forum
Honored Contributor II
1,101 Views

Hi, 

 

I am trying to use the example AN690. I want to use PCIe with DMA for Stratix V. I tried to run the example on quartus v14.1 but it gives me a warning to upgrade IP components. When I perform the automatic upgrade, it fails to upgrade the file pcie_lib/top/synthesis/top.qip through command line. When I upgrade it in qsys, it shows that all IP cores are already upgraded. But the design does not compile in the end as there is still some problem realted to upgrading IP components. Please help. I have attached a screenshot.
0 Kudos
1 Reply
Altera_Forum
Honored Contributor II
116 Views

You can try to use the same Quartus II version as the design example to avoid any incompatibility issue. From 13.1 to 14.0, there are significant changes in some of the IP cores from megawizard to IP editor. Not sure if this will cause the issue that you are seeing.

Reply